Bug 973185 - kernel 3.9.5 && mtrr
kernel 3.9.5 && mtrr
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
18
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-11 08:40 EDT by Gabriel VLASIU
Modified: 2013-06-30 21:30 EDT (History)
5 users (show)

See Also:
Fixed In Version: kernel-3.9.8-100.fc17
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-13 02:03:32 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gabriel VLASIU 2013-06-11 08:40:48 EDT
Description of problem:
Up to kernel 3.9.4 I had:

Jun  7 17:35:58 imhotep kernel: [    0.000000] e820: last_pfn = 0x140000 max_arch_pfn = 0x400000000
Jun  7 17:35:58 imhotep kernel: [    0.000000] x86 PAT enabled: cpu 0, old 0x7040600070406, new 0x7010600070106
Jun  7 17:35:58 imhotep kernel: [    0.000000] total RAM covered: 4096M
Jun  7 17:35:58 imhotep kernel: [    0.000000] Found optimal setting for mtrr clean up
Jun  7 17:35:58 imhotep kernel: [    0.000000]  gran_size: 64K 	chunk_size: 64K 	num_reg: 3  	lose cover RAM: 0G
Jun  7 17:35:58 imhotep kernel: [    0.000000] e820: last_pfn = 0xbffb0 max_arch_pfn = 0x400000000

With kernel 3.9.5 I have:
Jun 11 15:22:55 imhotep kernel: [    0.000000] e820: last_pfn = 0x140000 max_arch_pfn = 0x400000000
Jun 11 15:22:55 imhotep kernel: [    0.000000] x86 PAT enabled: cpu 0, old 0x7040600070406, new 0x7010600070106
Jun 11 15:22:55 imhotep kernel: [    0.000000] total RAM covered: 4096M
Jun 11 15:22:55 imhotep kernel: [    0.000000] *BAD*gran_size: 64K 	chunk_size: 64K 	num_reg: 3  	lose cover RAM: -0G
Jun 11 15:22:55 imhotep kernel: [    0.000000] *BAD*gran_size: 64K 	chunk_size: 128K 	num_reg: 3  	lose cover RAM: -0G
Jun 11 15:22:55 imhotep kernel: [    0.000000] *BAD*gran_size: 64K 	chunk_size: 256K 	num_reg: 3  	lose cover RAM: -0G
Jun 11 15:22:55 imhotep kernel: [    0.000000] *BAD*gran_size: 64K 	chunk_size: 512K 	num_reg: 3  	lose cover RAM: -0G
Jun 11 15:22:55 imhotep kernel: [    0.000000] *BAD*gran_size: 64K 	chunk_size: 1M 	num_reg: 3  	lose cover RAM: -0G
Jun 11 15:22:55 imhotep kernel: [    0.000000] *BAD*gran_size: 64K 	chunk_size: 2M 	num_reg: 3  	lose cover RAM: -0G
Jun 11 15:22:55 imhotep kernel: [    0.000000] *BAD*gran_size: 64K 	chunk_size: 4M 	num_reg: 3  	lose cover RAM: -0G
Jun 11 15:22:55 imhotep kernel: [    0.000000] *BAD*gran_size: 64K 	chunk_size: 8M 	num_reg: 3  	lose cover RAM: -0G
Jun 11 15:22:55 imhotep kernel: [    0.000000] *BAD*gran_size: 64K 	chunk_size: 16M 	num_reg: 3  	lose cover RAM: -0G
Jun 11 15:22:55 imhotep kernel: [    0.000000] *BAD*gran_size: 64K 	chunk_size: 32M 	num_reg: 3  	lose cover RAM: -0G
Jun 11 15:22:55 imhotep kernel: [    0.000000] *BAD*gran_size: 64K 	chunk_size: 64M 	num_reg: 3  	lose cover RAM: -0G
Jun 11 15:22:55 imhotep kernel: [    0.000000] *BAD*gran_size: 64K 	chunk_size: 128M 	num_reg: 3  	lose cover RAM: -0G
Jun 11 15:22:55 imhotep kernel: [    0.000000] *BAD*gran_size: 64K 	chunk_size: 256M 	num_reg: 3  	lose cover RAM: -0G
Jun 11 15:22:55 imhotep kernel: [    0.000000] *BAD*gran_size: 64K 	chunk_size: 512M 	num_reg: 3  	lose cover RAM: -0G
Jun 11 15:22:55 imhotep kernel: [    0.000000] *BAD*gran_size: 64K 	chunk_size: 1G 	num_reg: 3  	lose cover RAM: -0G
Jun 11 15:22:55 imhotep kernel: [    0.000000] *BAD*gran_size: 64K 	chunk_size: 2G 	num_reg: 3  	lose cover RAM: -0G
Jun 11 15:22:55 imhotep kernel: [    0.000000] *BAD*gran_size: 128K 	chunk_size: 128K 	num_reg: 3  	lose cover RAM: -0G
Jun 11 15:22:55 imhotep kernel: [    0.000000] *BAD*gran_size: 128K 	chunk_size: 256K 	num_reg: 3  	lose cover RAM: -0G
Jun 11 15:22:55 imhotep kernel: [    0.000000] *BAD*gran_size: 128K 	chunk_size: 512K 	num_reg: 3  	lose cover RAM: -0G
Jun 11 15:22:55 imhotep kernel: [    0.000000] *BAD*gran_size: 128K 	chunk_size: 1M 	num_reg: 3  	lose cover RAM: -0G
Jun 11 15:22:55 imhotep kernel: [    0.000000] *BAD*gran_size: 128K 	chunk_size: 2M 	num_reg: 3  	lose cover RAM: -0G
Jun 11 15:22:55 imhotep kernel: [    0.000000] *BAD*gran_size: 128K 	chunk_size: 4M 	num_reg: 3  	lose cover RAM: -0G
Jun 11 15:22:55 imhotep kernel: [    0.000000] *BAD*gran_size: 128K 	chunk_size: 8M 	num_reg: 3  	lose cover RAM: -0G
Jun 11 15:22:55 imhotep kernel: [    0.000000] *BAD*gran_size: 128K 	chunk_size: 16M 	num_reg: 3  	lose cover RAM: -0G
Jun 11 15:22:55 imhotep kernel: [    0.000000] *BAD*gran_size: 128K 	chunk_size: 32M 	num_reg: 3  	lose cover RAM: -0G
Jun 11 15:22:55 imhotep kernel: [    0.000000] *BAD*gran_size: 128K 	chunk_size: 64M 	num_reg: 3  	lose cover RAM: -0G
Jun 11 15:22:55 imhotep kernel: [    0.000000] *BAD*gran_size: 128K 	chunk_size: 128M 	num_reg: 3  	lose cover RAM: -0G
Jun 11 15:22:55 imhotep kernel: [    0.000000] *BAD*gran_size: 128K 	chunk_size: 256M 	num_reg: 3  	lose cover RAM: -0G
Jun 11 15:22:55 imhotep kernel: [    0.000000] *BAD*gran_size: 128K 	chunk_size: 512M 	num_reg: 3  	lose cover RAM: -0G
Jun 11 15:22:55 imhotep kernel: [    0.000000] *BAD*gran_size: 128K 	chunk_size: 1G 	num_reg: 3  	lose cover RAM: -0G
Jun 11 15:22:55 imhotep kernel: [    0.000000] *BAD*gran_size: 128K 	chunk_size: 2G 	num_reg: 3  	lose cover RAM: -0G
Jun 11 15:22:55 imhotep kernel: [    0.000000] *BAD*gran_size: 256K 	chunk_size: 256K 	num_reg: 3  	lose cover RAM: -0G
Jun 11 15:22:55 imhotep kernel: [    0.000000] *BAD*gran_size: 256K 	chunk_size: 512K 	num_reg: 3  	lose cover RAM: -0G
Jun 11 15:22:55 imhotep kernel: [    0.000000] *BAD*gran_size: 256K 	chunk_size: 1M 	num_reg: 3  	lose cover RAM: -0G
Jun 11 15:22:55 imhotep kernel: [    0.000000] *BAD*gran_size: 256K 	chunk_size: 2M 	num_reg: 3  	lose cover RAM: -0G
Jun 11 15:22:55 imhotep kernel: [    0.000000] *BAD*gran_size: 256K 	chunk_size: 4M 	num_reg: 3  	lose cover RAM: -0G
Jun 11 15:22:55 imhotep kernel: [    0.000000] *BAD*gran_size: 256K 	chunk_size: 8M 	num_reg: 3  	lose cover RAM: -0G
Jun 11 15:22:55 imhotep kernel: [    0.000000] *BAD*gran_size: 256K 	chunk_size: 16M 	num_reg: 3  	lose cover RAM: -0G
Jun 11 15:22:55 imhotep kernel: [    0.000000] *BAD*gran_size: 256K 	chunk_size: 32M 	num_reg: 3  	lose cover RAM: -0G
Jun 11 15:22:55 imhotep kernel: [    0.000000] *BAD*gran_size: 256K 	chunk_size: 64M 	num_reg: 3  	lose cover RAM: -0G
Jun 11 15:22:55 imhotep kernel: [    0.000000] *BAD*gran_size: 256K 	chunk_size: 128M 	num_reg: 3  	lose cover RAM: -0G
Jun 11 15:22:55 imhotep kernel: [    0.000000] *BAD*gran_size: 256K 	chunk_size: 256M 	num_reg: 3  	lose cover RAM: -0G
Jun 11 15:22:55 imhotep kernel: [    0.000000] *BAD*gran_size: 256K 	chunk_size: 512M 	num_reg: 3  	lose cover RAM: -0G
Jun 11 15:22:55 imhotep kernel: [    0.000000] *BAD*gran_size: 256K 	chunk_size: 1G 	num_reg: 3  	lose cover RAM: -0G
Jun 11 15:22:55 imhotep kernel: [    0.000000] *BAD*gran_size: 256K 	chunk_size: 2G 	num_reg: 3  	lose cover RAM: -0G
Jun 11 15:22:55 imhotep kernel: [    0.000000] *BAD*gran_size: 512K 	chunk_size: 512K 	num_reg: 3  	lose cover RAM: -0G
Jun 11 15:22:55 imhotep kernel: [    0.000000] *BAD*gran_size: 512K 	chunk_size: 1M 	num_reg: 3  	lose cover RAM: -0G
Jun 11 15:22:55 imhotep kernel: [    0.000000] *BAD*gran_size: 512K 	chunk_size: 2M 	num_reg: 3  	lose cover RAM: -0G
Jun 11 15:22:55 imhotep kernel: [    0.000000] *BAD*gran_size: 512K 	chunk_size: 4M 	num_reg: 3  	lose cover RAM: -0G
Jun 11 15:22:55 imhotep kernel: [    0.000000] *BAD*gran_size: 512K 	chunk_size: 8M 	num_reg: 3  	lose cover RAM: -0G
Jun 11 15:22:55 imhotep kernel: [    0.000000] *BAD*gran_size: 512K 	chunk_size: 16M 	num_reg: 3  	lose cover RAM: -0G
Jun 11 15:22:55 imhotep kernel: [    0.000000] *BAD*gran_size: 512K 	chunk_size: 32M 	num_reg: 3  	lose cover RAM: -0G
Jun 11 15:22:55 imhotep kernel: [    0.000000] *BAD*gran_size: 512K 	chunk_size: 64M 	num_reg: 3  	lose cover RAM: -0G
Jun 11 15:22:55 imhotep kernel: [    0.000000] *BAD*gran_size: 512K 	chunk_size: 128M 	num_reg: 3  	lose cover RAM: -0G
Jun 11 15:22:55 imhotep kernel: [    0.000000] *BAD*gran_size: 512K 	chunk_size: 256M 	num_reg: 3  	lose cover RAM: -0G
Jun 11 15:22:55 imhotep kernel: [    0.000000] *BAD*gran_size: 512K 	chunk_size: 512M 	num_reg: 3  	lose cover RAM: -0G
Jun 11 15:22:55 imhotep kernel: [    0.000000] *BAD*gran_size: 512K 	chunk_size: 1G 	num_reg: 3  	lose cover RAM: -0G
Jun 11 15:22:55 imhotep kernel: [    0.000000] *BAD*gran_size: 512K 	chunk_size: 2G 	num_reg: 3  	lose cover RAM: -0G
Jun 11 15:22:55 imhotep kernel: [    0.000000] *BAD*gran_size: 1M 	chunk_size: 1M 	num_reg: 3  	lose cover RAM: -0G
Jun 11 15:22:55 imhotep kernel: [    0.000000] *BAD*gran_size: 1M 	chunk_size: 2M 	num_reg: 3  	lose cover RAM: -0G
Jun 11 15:22:55 imhotep kernel: [    0.000000] *BAD*gran_size: 1M 	chunk_size: 4M 	num_reg: 3  	lose cover RAM: -0G
Jun 11 15:22:55 imhotep kernel: [    0.000000] *BAD*gran_size: 1M 	chunk_size: 8M 	num_reg: 3  	lose cover RAM: -0G
Jun 11 15:22:55 imhotep kernel: [    0.000000] *BAD*gran_size: 1M 	chunk_size: 16M 	num_reg: 3  	lose cover RAM: -0G
Jun 11 15:22:55 imhotep kernel: [    0.000000] *BAD*gran_size: 1M 	chunk_size: 32M 	num_reg: 3  	lose cover RAM: -0G
Jun 11 15:22:55 imhotep kernel: [    0.000000] *BAD*gran_size: 1M 	chunk_size: 64M 	num_reg: 3  	lose cover RAM: -0G
Jun 11 15:22:55 imhotep kernel: [    0.000000] *BAD*gran_size: 1M 	chunk_size: 128M 	num_reg: 3  	lose cover RAM: -0G
Jun 11 15:22:55 imhotep kernel: [    0.000000] *BAD*gran_size: 1M 	chunk_size: 256M 	num_reg: 3  	lose cover RAM: -0G
Jun 11 15:22:55 imhotep kernel: [    0.000000] *BAD*gran_size: 1M 	chunk_size: 512M 	num_reg: 3  	lose cover RAM: -0G
Jun 11 15:22:55 imhotep kernel: [    0.000000] *BAD*gran_size: 1M 	chunk_size: 1G 	num_reg: 3  	lose cover RAM: -0G
Jun 11 15:22:55 imhotep kernel: [    0.000000] *BAD*gran_size: 1M 	chunk_size: 2G 	num_reg: 3  	lose cover RAM: -0G
Jun 11 15:22:55 imhotep kernel: [    0.000000] *BAD*gran_size: 2M 	chunk_size: 2M 	num_reg: 3  	lose cover RAM: -0G
Jun 11 15:22:55 imhotep kernel: [    0.000000] *BAD*gran_size: 2M 	chunk_size: 4M 	num_reg: 3  	lose cover RAM: -0G
Jun 11 15:22:55 imhotep kernel: [    0.000000] *BAD*gran_size: 2M 	chunk_size: 8M 	num_reg: 3  	lose cover RAM: -0G
Jun 11 15:22:55 imhotep kernel: [    0.000000] *BAD*gran_size: 2M 	chunk_size: 16M 	num_reg: 3  	lose cover RAM: -0G
Jun 11 15:22:55 imhotep kernel: [    0.000000] *BAD*gran_size: 2M 	chunk_size: 32M 	num_reg: 3  	lose cover RAM: -0G
Jun 11 15:22:55 imhotep kernel: [    0.000000] *BAD*gran_size: 2M 	chunk_size: 64M 	num_reg: 3  	lose cover RAM: -0G
Jun 11 15:22:55 imhotep kernel: [    0.000000] *BAD*gran_size: 2M 	chunk_size: 128M 	num_reg: 3  	lose cover RAM: -0G
Jun 11 15:22:55 imhotep kernel: [    0.000000] *BAD*gran_size: 2M 	chunk_size: 256M 	num_reg: 3  	lose cover RAM: -0G
Jun 11 15:22:55 imhotep kernel: [    0.000000] *BAD*gran_size: 2M 	chunk_size: 512M 	num_reg: 3  	lose cover RAM: -0G
Jun 11 15:22:55 imhotep kernel: [    0.000000] *BAD*gran_size: 2M 	chunk_size: 1G 	num_reg: 3  	lose cover RAM: -0G
Jun 11 15:22:55 imhotep kernel: [    0.000000] *BAD*gran_size: 2M 	chunk_size: 2G 	num_reg: 3  	lose cover RAM: -0G
Jun 11 15:22:55 imhotep kernel: [    0.000000] *BAD*gran_size: 4M 	chunk_size: 4M 	num_reg: 3  	lose cover RAM: -0G
Jun 11 15:22:55 imhotep kernel: [    0.000000] *BAD*gran_size: 4M 	chunk_size: 8M 	num_reg: 3  	lose cover RAM: -0G
Jun 11 15:22:55 imhotep kernel: [    0.000000] *BAD*gran_size: 4M 	chunk_size: 16M 	num_reg: 3  	lose cover RAM: -0G
Jun 11 15:22:55 imhotep kernel: [    0.000000] *BAD*gran_size: 4M 	chunk_size: 32M 	num_reg: 3  	lose cover RAM: -0G
Jun 11 15:22:55 imhotep kernel: [    0.000000] *BAD*gran_size: 4M 	chunk_size: 64M 	num_reg: 3  	lose cover RAM: -0G
Jun 11 15:22:55 imhotep kernel: [    0.000000] *BAD*gran_size: 4M 	chunk_size: 128M 	num_reg: 3  	lose cover RAM: -0G
Jun 11 15:22:55 imhotep kernel: [    0.000000] *BAD*gran_size: 4M 	chunk_size: 256M 	num_reg: 3  	lose cover RAM: -0G
Jun 11 15:22:55 imhotep kernel: [    0.000000] *BAD*gran_size: 4M 	chunk_size: 512M 	num_reg: 3  	lose cover RAM: -0G
Jun 11 15:22:55 imhotep kernel: [    0.000000] *BAD*gran_size: 4M 	chunk_size: 1G 	num_reg: 3  	lose cover RAM: -0G
Jun 11 15:22:55 imhotep kernel: [    0.000000] *BAD*gran_size: 4M 	chunk_size: 2G 	num_reg: 3  	lose cover RAM: -0G
Jun 11 15:22:55 imhotep kernel: [    0.000000] *BAD*gran_size: 8M 	chunk_size: 8M 	num_reg: 3  	lose cover RAM: -0G
Jun 11 15:22:55 imhotep kernel: [    0.000000] *BAD*gran_size: 8M 	chunk_size: 16M 	num_reg: 3  	lose cover RAM: -0G
Jun 11 15:22:55 imhotep kernel: [    0.000000] *BAD*gran_size: 8M 	chunk_size: 32M 	num_reg: 3  	lose cover RAM: -0G
Jun 11 15:22:55 imhotep kernel: [    0.000000] *BAD*gran_size: 8M 	chunk_size: 64M 	num_reg: 3  	lose cover RAM: -0G
Jun 11 15:22:55 imhotep kernel: [    0.000000] *BAD*gran_size: 8M 	chunk_size: 128M 	num_reg: 3  	lose cover RAM: -0G
Jun 11 15:22:55 imhotep kernel: [    0.000000] *BAD*gran_size: 8M 	chunk_size: 256M 	num_reg: 3  	lose cover RAM: -0G
Jun 11 15:22:55 imhotep kernel: [    0.000000] *BAD*gran_size: 8M 	chunk_size: 512M 	num_reg: 3  	lose cover RAM: -0G
Jun 11 15:22:55 imhotep kernel: [    0.000000] *BAD*gran_size: 8M 	chunk_size: 1G 	num_reg: 3  	lose cover RAM: -0G
Jun 11 15:22:55 imhotep kernel: [    0.000000] *BAD*gran_size: 8M 	chunk_size: 2G 	num_reg: 3  	lose cover RAM: -0G
Jun 11 15:22:55 imhotep kernel: [    0.000000] *BAD*gran_size: 16M 	chunk_size: 16M 	num_reg: 3  	lose cover RAM: -0G
Jun 11 15:22:55 imhotep kernel: [    0.000000] *BAD*gran_size: 16M 	chunk_size: 32M 	num_reg: 3  	lose cover RAM: -0G
Jun 11 15:22:55 imhotep kernel: [    0.000000] *BAD*gran_size: 16M 	chunk_size: 64M 	num_reg: 3  	lose cover RAM: -0G
Jun 11 15:22:55 imhotep kernel: [    0.000000] *BAD*gran_size: 16M 	chunk_size: 128M 	num_reg: 3  	lose cover RAM: -0G
Jun 11 15:22:55 imhotep kernel: [    0.000000] *BAD*gran_size: 16M 	chunk_size: 256M 	num_reg: 3  	lose cover RAM: -0G
Jun 11 15:22:55 imhotep kernel: [    0.000000] *BAD*gran_size: 16M 	chunk_size: 512M 	num_reg: 3  	lose cover RAM: -0G
Jun 11 15:22:55 imhotep kernel: [    0.000000] *BAD*gran_size: 16M 	chunk_size: 1G 	num_reg: 3  	lose cover RAM: -0G
Jun 11 15:22:55 imhotep kernel: [    0.000000] *BAD*gran_size: 16M 	chunk_size: 2G 	num_reg: 3  	lose cover RAM: -0G
Jun 11 15:22:55 imhotep kernel: [    0.000000] *BAD*gran_size: 32M 	chunk_size: 32M 	num_reg: 3  	lose cover RAM: -0G
Jun 11 15:22:55 imhotep kernel: [    0.000000] *BAD*gran_size: 32M 	chunk_size: 64M 	num_reg: 3  	lose cover RAM: -0G
Jun 11 15:22:55 imhotep kernel: [    0.000000] *BAD*gran_size: 32M 	chunk_size: 128M 	num_reg: 3  	lose cover RAM: -0G
Jun 11 15:22:55 imhotep kernel: [    0.000000] *BAD*gran_size: 32M 	chunk_size: 256M 	num_reg: 3  	lose cover RAM: -0G
Jun 11 15:22:55 imhotep kernel: [    0.000000] *BAD*gran_size: 32M 	chunk_size: 512M 	num_reg: 3  	lose cover RAM: -0G
Jun 11 15:22:55 imhotep kernel: [    0.000000] *BAD*gran_size: 32M 	chunk_size: 1G 	num_reg: 3  	lose cover RAM: -0G
Jun 11 15:22:55 imhotep kernel: [    0.000000] *BAD*gran_size: 32M 	chunk_size: 2G 	num_reg: 3  	lose cover RAM: -0G
Jun 11 15:22:55 imhotep kernel: [    0.000000] *BAD*gran_size: 64M 	chunk_size: 64M 	num_reg: 3  	lose cover RAM: -0G
Jun 11 15:22:55 imhotep kernel: [    0.000000] *BAD*gran_size: 64M 	chunk_size: 128M 	num_reg: 3  	lose cover RAM: -0G
Jun 11 15:22:55 imhotep kernel: [    0.000000] *BAD*gran_size: 64M 	chunk_size: 256M 	num_reg: 3  	lose cover RAM: -0G
Jun 11 15:22:55 imhotep kernel: [    0.000000] *BAD*gran_size: 64M 	chunk_size: 512M 	num_reg: 3  	lose cover RAM: -0G
Jun 11 15:22:55 imhotep kernel: [    0.000000] *BAD*gran_size: 64M 	chunk_size: 1G 	num_reg: 3  	lose cover RAM: -0G
Jun 11 15:22:55 imhotep kernel: [    0.000000] *BAD*gran_size: 64M 	chunk_size: 2G 	num_reg: 3  	lose cover RAM: -0G
Jun 11 15:22:55 imhotep kernel: [    0.000000] *BAD*gran_size: 128M 	chunk_size: 128M 	num_reg: 3  	lose cover RAM: -0G
Jun 11 15:22:55 imhotep kernel: [    0.000000] *BAD*gran_size: 128M 	chunk_size: 256M 	num_reg: 3  	lose cover RAM: -0G
Jun 11 15:22:55 imhotep kernel: [    0.000000] *BAD*gran_size: 128M 	chunk_size: 512M 	num_reg: 3  	lose cover RAM: -0G
Jun 11 15:22:55 imhotep kernel: [    0.000000] *BAD*gran_size: 128M 	chunk_size: 1G 	num_reg: 3  	lose cover RAM: -0G
Jun 11 15:22:55 imhotep kernel: [    0.000000] *BAD*gran_size: 128M 	chunk_size: 2G 	num_reg: 3  	lose cover RAM: -0G
Jun 11 15:22:55 imhotep kernel: [    0.000000] *BAD*gran_size: 256M 	chunk_size: 256M 	num_reg: 3  	lose cover RAM: -0G
Jun 11 15:22:55 imhotep kernel: [    0.000000] *BAD*gran_size: 256M 	chunk_size: 512M 	num_reg: 3  	lose cover RAM: -0G
Jun 11 15:22:55 imhotep kernel: [    0.000000] *BAD*gran_size: 256M 	chunk_size: 1G 	num_reg: 3  	lose cover RAM: -0G
Jun 11 15:22:55 imhotep kernel: [    0.000000] *BAD*gran_size: 256M 	chunk_size: 2G 	num_reg: 3  	lose cover RAM: -0G
Jun 11 15:22:55 imhotep kernel: [    0.000000] *BAD*gran_size: 512M 	chunk_size: 512M 	num_reg: 3  	lose cover RAM: -0G
Jun 11 15:22:55 imhotep kernel: [    0.000000] *BAD*gran_size: 512M 	chunk_size: 1G 	num_reg: 3  	lose cover RAM: -0G
Jun 11 15:22:55 imhotep kernel: [    0.000000] *BAD*gran_size: 512M 	chunk_size: 2G 	num_reg: 3  	lose cover RAM: -0G
Jun 11 15:22:55 imhotep kernel: [    0.000000] *BAD*gran_size: 1G 	chunk_size: 1G 	num_reg: 3  	lose cover RAM: -0G
Jun 11 15:22:55 imhotep kernel: [    0.000000] *BAD*gran_size: 1G 	chunk_size: 2G 	num_reg: 3  	lose cover RAM: -0G
Jun 11 15:22:55 imhotep kernel: [    0.000000]  gran_size: 2G 	chunk_size: 2G 	num_reg: 1  	lose cover RAM: 2G
Jun 11 15:22:55 imhotep kernel: [    0.000000] mtrr_cleanup: can not find optimal value
Jun 11 15:22:55 imhotep kernel: [    0.000000] please specify mtrr_gran_size/mtrr_chunk_size
Jun 11 15:22:55 imhotep kernel: [    0.000000] e820: last_pfn = 0xbffb0 max_arch_pfn = 0x400000000

Since the hardware is the same I assume it's a bug.

# cat /proc/mtrr
reg00: base=0x000000000 (    0MB), size= 4096MB, count=1: write-back
reg01: base=0x100000000 ( 4096MB), size= 1024MB, count=1: write-back
reg02: base=0x0c0000000 ( 3072MB), size= 1024MB, count=1: uncachable
Comment 1 Josh Boyer 2013-06-11 08:56:02 EDT
Yes.  This is one of the reasons we didn't submit an update to f18 with 3.9.5.  It's being discussed upstream.  Probably patches:

http://marc.info/?l=linux-kernel&m=137080807327118&w=2
http://marc.info/?l=linux-kernel&m=137080805927115&w=2
Comment 2 Josh Boyer 2013-06-11 10:15:38 EDT
http://koji.fedoraproject.org/koji/taskinfo?taskID=5491661

Please test the above scratch build when it finishes and let us know if it corrects the issue.
Comment 3 Gabriel VLASIU 2013-06-11 14:44:09 EDT
Works fine. Thank you.

[    0.000000] x86 PAT enabled: cpu 0, old 0x7040600070406, new 0x7010600070106
[    0.000000] original variable MTRRs
[    0.000000] reg 0, base: 0GB, range: 4GB, type WB
[    0.000000] reg 1, base: 4GB, range: 1GB, type WB
[    0.000000] reg 2, base: 3GB, range: 1GB, type UC
[    0.000000] total RAM covered: 4096M
[    0.000000] Found optimal setting for mtrr clean up
[    0.000000]  gran_size: 64K  chunk_size: 64K         num_reg: 3      lose cover RAM: 0G
[    0.000000] New variable MTRRs
[    0.000000] reg 0, base: 0GB, range: 2GB, type WB
[    0.000000] reg 1, base: 2GB, range: 1GB, type WB
[    0.000000] reg 2, base: 4GB, range: 1GB, type WB
[    0.000000] e820: update [mem 0xc0000000-0xffffffff] usable ==> reserved
[    0.000000] e820: last_pfn = 0xbffb0 max_arch_pfn = 0x400000000
Comment 4 Josh Boyer 2013-06-11 14:57:09 EDT
Thank you for testing.  I've included the patches in all releases using 3.9.5.
Comment 5 Fedora Update System 2013-06-11 17:41:30 EDT
kernel-3.9.5-301.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/kernel-3.9.5-301.fc19
Comment 6 Fedora Update System 2013-06-11 17:47:23 EDT
kernel-3.9.5-101.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/FEDORA-2013-9123/kernel-3.9.5-101.fc17
Comment 7 Fedora Update System 2013-06-11 17:57:00 EDT
kernel-3.9.5-201.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/kernel-3.9.5-201.fc18
Comment 8 Fedora Update System 2013-06-12 15:12:37 EDT
Package kernel-3.9.5-301.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing kernel-3.9.5-301.fc19'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-10689/kernel-3.9.5-301.fc19
then log in and leave karma (feedback).
Comment 9 Fedora Update System 2013-06-13 02:03:32 EDT
kernel-3.9.5-201.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2013-06-14 00:49:53 EDT
kernel-3.9.5-301.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2013-06-30 21:30:59 EDT
kernel-3.9.8-100.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.